%define upstream_name    Text-NonWideChar-Util
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utility routines for text
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides the non-wide version of some of the routines in the
Text::WideChar::Util manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.1.0-2.mga8
+ Revision: 1521426
- Mageia 8 Mass Rebuild

* Sun Dec 23 2018 shlomif <shlomif> 0.1.0-1.mga7
+ Revision: 1344712
- imported package perl-Text-NonWideChar-Util


* Sun Dec 23 2018 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
